gnomevfs.Drive
Prev | The gnomevfs class reference | Next

## gnomevfs.Drive

gnomevfs.Drive — Object representing a device which can mount a volume

## Synopsis

    class gnomevfs.Drive(gobject.GObject):
        def get_id()
        def get_device_type()
        def get_mounted_volumes()
        def get_device_path()
        def get_activation_uri()
        def get_display_name()
        def get_icon()
        def get_hal_udi()
        def is_user_visible()
        def is_connected()
        def is_mounted()
        def mount(callback, user_data=None)
        def unmount(callback, user_data=None)
        def eject(callback, user_data=None)

## Ancestry

    +-- gobject.GObject
      +-- gnomevfs.Drive

## Signal Prototypes

"volume-mounted" | `def callback(`drive`, `volume`, `user_param1`, `...`)`
"volume-pre-umount" | `def callback(`drive`, `volume`, `user_param1`, `...`)`
"volume-unmounted" | `def callback(`drive`, `volume`, `user_param1`, `...`)`

## Methods

### gnomevfs.Drive.get_id

                def get_id()

Returns: | An identifier for this drive.

### gnomevfs.Drive.get_device_type

                def get_device_type()

Returns: | The device type.

### gnomevfs.Drive.get_mounted_volumes

                def get_mounted_volumes()

Returns: | A list of gnomevfs.Volume objects.

### gnomevfs.Drive.get_device_path

                def get_device_path()

Returns: | The path of this device.

### gnomevfs.Drive.get_activation_uri

                def get_activation_uri()

Returns: |

### gnomevfs.Drive.get_display_name

                def get_display_name()

Returns: |

### gnomevfs.Drive.get_icon

                def get_icon()

Returns: |

### gnomevfs.Drive.get_hal_udi

                def get_hal_udi()

Returns: |

### gnomevfs.Drive.is_user_visible

                def is_user_visible()

Returns: |

### gnomevfs.Drive.is_connected

                def is_connected()

Returns: |

### gnomevfs.Drive.is_mounted

                def is_mounted()

Returns: |

### gnomevfs.Drive.mount

                def mount(callback, user_data=None)

Returns: |

### gnomevfs.Drive.unmount

                def unmount(callback, user_data=None)

Returns: |

### gnomevfs.Drive.eject

                def eject(callback, user_data=None)

Returns: |

Prev | Up | Next
gnomevfs.DirectoryHandle | Home | gnomevfs.FileInfo